summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thomas Morper2010-07-26 01:16:48 +0200
committer Erik Hanson2010-07-26 04:52:41 +0200
commit041a01a2f3bf3bf8bd8a2864236274838b584beb (patch)
tree6677377bdbcb92f4beada84be313a79918666375
parent04edc073a8a2a10142f0b98fcd5feddc9dbaa198 (diff)
downloadslackbuilds-041a01a2f3bf3bf8bd8a2864236274838b584beb.tar.gz
libraries/perl-HTTP-Proxy: Added (a pure Perl HTTP proxy)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/perl-HTTP-Proxy/README6
-rw-r--r--libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.SlackBuild66
-rw-r--r--libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.info10
-rw-r--r--libraries/perl-HTTP-Proxy/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/libraries/perl-HTTP-Proxy/README b/libraries/perl-HTTP-Proxy/README
new file mode 100644
index 0000000000..9b6889363b
--- /dev/null
+++ b/libraries/perl-HTTP-Proxy/README
@@ -0,0 +1,6 @@
+This module implements an HTTP proxy, using an HTTP::Daemon to accept
+client connections, and a LWP::UserAgent to ask for the requested
+pages. The most interesting feature of this proxy object is its ability
+to filter the HTTP requests and responses through user-defined filters.
+
+This needs libwww-perl.
diff --git a/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.SlackBuild b/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.SlackBuild
new file mode 100644
index 0000000000..6165479846
--- /dev/null
+++ b/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for perl-HTTP-Proxy
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+SRCNAM=HTTP-Proxy
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-0.24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" -empty | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.info b/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.info
new file mode 100644
index 0000000000..77e330dcfe
--- /dev/null
+++ b/libraries/perl-HTTP-Proxy/perl-HTTP-Proxy.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-HTTP-Proxy"
+VERSION="0.03"
+HOMEPAGE="http://search.cpan.org/~book/HTTP-Proxy/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/B/BO/BOOK/HTTP-Proxy-0.24.tar.gz"
+MD5SUM="a3c3b7df0339c0251c952a6fc00da5e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="Erik Hanson"
diff --git a/libraries/perl-HTTP-Proxy/slack-desc b/libraries/perl-HTTP-Proxy/slack-desc
new file mode 100644
index 0000000000..b56dc1c3d0
--- /dev/null
+++ b/libraries/perl-HTTP-Proxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-HTTP-Proxy: perl-HTTP-Proxy (a pure Perl HTTP proxy)
+perl-HTTP-Proxy:
+perl-HTTP-Proxy: This module implements an HTTP proxy, using an HTTP::Daemon to accept
+perl-HTTP-Proxy: client connections, and a LWP::UserAgent to ask for the requested
+perl-HTTP-Proxy: pages. The most interesting feature of this proxy object is its
+perl-HTTP-Proxy: ability to filter the HTTP requests and responses through user-
+perl-HTTP-Proxy: defined filters.
+perl-HTTP-Proxy:
+perl-HTTP-Proxy:
+perl-HTTP-Proxy:
+perl-HTTP-Proxy: